# Copyright (C) 2018 Avatao.com Innovative Learning Kft.
# All Rights Reserved. See LICENSE file for details.

from watchdog.observers import Observer

from tfw.decorators import lazy_property


class ObserverMixin:
    @lazy_property
    def observer(self):
        return Observer()

    def watch(self):
        self.observer.start()

    def stop(self):
        self.observer.stop()
        self.observer.join()
